monitor(1)

NAME
monitor - receive logging information from LPD

SYNOPSIS
monitor [ -u ] [ -t ] [ port ]

DESCRIPTION

The monitor program is a template for a printer status monitoring program. It will open the specified TCP and/or UDP port, and then wait for accounting or other information to be sent. It prints this information on it standard output.

OPTIONS

-u  wait for connections on the UDP port.

-t  wait for connections on the TCP port.

port
    Use the specified port number.

EXIT STATUS

The following exit values are returned:

zero (0)
    Successful completion.

non-zero (!=0)
    An error occurred.

SEE ALSO

lpd.conf(5), lpc(8), lpd(8), checkpc(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.conf(5), pr(1), lprng_certs(1), lprng_index_certs(1).

AUTHOR
Patrick Powell <papowell@lprng.com>.

HISTORY
LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. The LPRng developer mailing list is lprng-devel@lists.sourceforge.net; subscribe by visiting https://lists.sourceforge.net/lists/listinfo/lprng-devel or sending mail to lprng-request@lists.sourceforge.net with the word subscribe in the body.
The software is available via http://lprng.sourceforge.net